<?php
/**
 * @author Hamid Wakili <hamid@erock-marketing.de>
 * @datetime   10. November 2023
 */

namespace Plugin\km_webp\helpers;

use Intervention\Image\ImageManager;
use JTL\Media\Image;
use JTL\Media\MediaImageRequest;
use JTL\Media\MultiSizeImage;
use SplFileInfo;

class WebpInstance
{

    public function createImage(string $filepath)
    {
        $format = "webp";
        $fileInfo = new SplFileInfo($filepath);

        $fileName = $fileInfo->getFilename();
        $webpPath = $fileInfo->getPath() . "/" . "$fileName.webp";
        $manager = new ImageManager(['driver' => Image::getImageDriver()]);
        $img = $manager->make($filepath);
        $img->save($webpPath, 30, $format);
        $response = $img->response($format);
        if (\is_object($response) && \method_exists($response, 'send')) {
            $response->send();
        } else {
            return $response;
        }
    }
}